## papi 5.3.0

=== src/ctests/Makefile ===
# File: ctests/Makefile
INCLUDE = -I.. -I../testlib
PAPILIB=$(LIBRARY)
CC	= gcc
CC_R	= $(CC) -pthread
CFLAGS	= -g -O -Wall
testlibdir=../testlib
TESTLIB= $(testlibdir)/libtestlib.a

include Makefile.recipies

.PHONY : install

install: default
	@echo "C tests (DATADIR) being installed in: \"$(DATADIR)\""; 
	-mkdir -p $(DATADIR)/ctests
	-chmod go+rx $(DATADIR)
	-chmod go+rx $(DATADIR)/ctests
	-find . -perm -100 -type f -exec cp {} $(DATADIR)/ctests \;
	-chmod go+rx $(DATADIR)/ctests/*
	-find . -name "*.[ch]" -type f -exec cp {} $(DATADIR)/ctests \;
	-cp Makefile.target $(DATADIR)/ctests/Makefile
	-cat Makefile.recipies >> $(DATADIR)/ctests/Makefile

=== src/ftests/Makefile ===
# File: ftests/Makefile
# CVS:  $Id$
INCLUDE = -I../testlib
LIBRARY = -lpapi
PAPILIB = $(LIBRARY)
CC	= gcc
F77	= gfortran
CFLAGS	= -g -O 
FFLAGS	= -g -O -ffixed-line-length-132

TESTLIB = ../testlib/libtestlib.a

include Makefile.recipies

install: default
	@echo "Fortran tests (DATADIR) being installed in: \"$(DATADIR)\""; 
	-mkdir -p $(DATADIR)/ftests
	-chmod go+rx $(DATADIR)
	-chmod go+rx $(DATADIR)/ftests
	-find . -perm -100 -type f -exec cp {} $(DATADIR)/ftests \;
	-chmod go+rx $(DATADIR)/ftests/*
	-find . -name "*.[Ffh]" -type f -exec cp {} $(DATADIR)/ftests \;
	-cp Makefile.target $(DATADIR)/ftests/Makefile
	-cat Makefile.recipies >> $(DATADIR)/ftests/Makefile

=== src/perfctr-2.7.x/Makefile ===
SHELL=/bin/sh
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
ASM_ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/ -e s/ppc.*/powerpc/)
SUBDIRS=usr.lib examples

default:	linux/include/asm/perfctr.h
	$(MAKE) MAKETARGET=default all-subdirs

all-subdirs:
	-for dir in $(SUBDIRS); do \
		(cd $$dir; $(MAKE) $(MAKEARGS) $(MAKETARGET); cd ..); \
	done

linux/include/asm/perfctr.h config configure:
	rm -f linux/include/asm
	ln -s asm-${ASM_ARCH} linux/include/asm

install:	default
	etc/install.sh "$(PREFIX)" "$(BINDIR)" "$(LIBDIR)" "$(INCLDIR)" "$(ARCH)"

install2:
	$(MAKE) MAKEARGS="BINDIR=$(BINDIR) LIBDIR=$(LIBDIR) INCLDIR=$(INCLDIR)" MAKETARGET=install all-subdirs

distclean realclean mrproper:	clean
	rm -f linux/include/asm

linuxclean:
	rm -f linux/drivers/perfctr/*.mod.c
	rm -f linux/drivers/perfctr/*.ko
	rm -f linux/drivers/perfctr/*.o
	rm -f linux/drivers/perfctr/.*.flags
	rm -f linux/drivers/perfctr/.depend
	rm -f linux/drivers/perfctr/.*.cmd

clean:	linuxclean
	$(MAKE) MAKETARGET=clean all-subdirs

=== src/testlib/Makefile ===
INCLUDE = -I.
LIBRARY = -lpapi
PAPILIB = $(LIBRARY)
CC	= gcc
CC_R	= $(CC) -pthread
CFLAGS	= -g -O -Wall

UTILSRCS:= do_loops.c test_utils.c dummy.c clockcore.c
UTILOBJS:=$(UTILSRCS:.c=.o)
UTILSRCS+= ftests_util.F
UTILOBJS+= ftests_util.o

all:	$(UTILOBJS)
	$(AR) $(ARG64) rv libtestlib.a $(UTILOBJS)

do_loops.o: do_loops.c papi_test.h test_utils.h
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c do_loops.c

clockcore.o: clockcore.c
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c clockcore.c

dummy.o: dummy.c
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c dummy.c

test_utils.o: test_utils.c
	$(CC) $(INCLUDE) $(CFLAGS) $(TOPTFLAGS) -c test_utils.c

ftests_util.o: ftests_util.F fpapi_test.h 
	$(F77) $(INCLUDE) $(FFLAGS) $(FTOPTFLAGS) -c ftests_util.F

clean:
	rm -f *.o *genmod.f90 *genmod.mod *.stderr *.stdout core *~ $(ALL) libtestlib.a libtestlib.so

install: 
	@echo "Papi testlib (DATADIR) being installed in: \"$(DATADIR)\""; 
	-mkdir -p $(DATADIR)/testlib
	-chmod go+rx $(DATADIR)
	-chmod go+rx $(DATADIR)/testlib
	-find . -perm -100 -type f -exec cp {} $(DATADIR)/testlib \;
	-chmod go+rx $(DATADIR)/testlib/*
	-find . -name "*.[chaF]" -type f -exec cp {} $(DATADIR)/testlib \;
	-cp Makefile.target $(DATADIR)/testlib/Makefile

=== src/ctests/bgp/Makefile ===
TESTS   	= papi_1

bgp_tests: $(TESTS)

papi%:
	$(CC) $(INCLUDE) $(CFLAGS) -o $@ $@.c $(LIBRARY) $(LDFLAGS)

clean:
	rm -f core $(TESTS)  *~ *.o

=== src/libpfm4/examples/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

ifeq ($(CONFIG_PFMLIB_ARCH_CRAYXT),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_CRAYXT
endif

CFLAGS+= -I. -D_GNU_SOURCE
LIBS += -lm

ifeq ($(SYS),Linux)
CFLAGS+= -pthread
LIBS += -lrt
endif

ifeq ($(SYS),WINDOWS)
LIBS += -lgnurx
endif

TARGETS=showevtinfo check_events
EXAMPLESDIR=$(DESTDIR)$(DOCDIR)/examples

all: $(TARGETS)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

$(TARGETS):  %:%.o $(PFMLIB)
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $^ $(LIBS) 
clean:
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
	$(RM) -f *.o $(TARGETS) *~

distclean: clean

install_examples: $(TARGETS)
	@echo installing: $(TARGETS)
	-mkdir -p $(EXAMPLESDIR)
	$(INSTALL) -m 755 $(TARGETS) $(EXAMPLESDIR)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
#
.PHONY: install depend install_examples

=== src/libpfm4/perf_examples/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

DIRS=

ifeq ($(ARCH),ia64)
#DIRS +=ia64
endif

ifeq ($(ARCH),x86_64)
DIRS += x86
endif

ifeq ($(ARCH),i386)
DIRS += x86
endif


ifeq ($(CONFIG_PFMLIB_ARCH_CRAYXT),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_CRAYXT
endif

CFLAGS+= -I. -D_GNU_SOURCE -pthread

PERF_EVENT_HDR=$(TOPDIR)/include/perfmon/pfmlib_perf_event.h

LPC_UTILS=perf_util.o
LPC_UTILS_HDR=perf_util.h

TARGETS+=self self_basic self_count task task_attach_timeout syst \
	notify_self notify_group task_smpl self_smpl_multi \
	self_pipe syst_count task_cpu syst_smpl evt2raw

EXAMPLESDIR=$(DOCDIR)/perf_examples

all: $(TARGETS)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# Many systems don't have ncurses-devel installed
#
rtop: rtop.o $(PFMLIB)
	-$(CC) $(CFLAGS) $(LDFLAGS) -D_GNU_SOURCE -o $@ $^ $(LIBS)  -lpthread -lncurses -lm

$(TARGETS): %:%.o $(LPC_UTILS) $(PFMLIB) $(PERF_EVENT_HDR)
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) 

$(LPC_UTILS): $(LPC_UTILS_HDR)

clean:
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
	$(RM) -f *.o $(TARGETS) *~

distclean: clean

install_examples: $(TARGETS)
	@echo installing: $(TARGETS)
	-mkdir -p $(EXAMPLESDIR)
	$(INSTALL) -m 755 $(TARGETS) $(EXAMPLESDIR)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
#
.PHONY: install depend install_examples

=== src/perfctr-2.7.x/examples/Makefile ===
SHELL=/bin/sh
SUBDIRS=self perfex signal

default:
	$(MAKE) MAKETARGET=default all-subdirs

all-subdirs:
	-for dir in $(SUBDIRS); do \
		(cd $$dir; $(MAKE) $(MAKEARGS) $(MAKETARGET); cd ..); \
	done

install:
	$(MAKE) MAKEARGS="BINDIR=$(BINDIR)" MAKETARGET=install all-subdirs

distclean realclean mrproper:
	$(MAKE) MAKETARGET=distclean all-subdirs

clean:
	$(MAKE) MAKETARGET=clean all-subdirs

=== src/components/appio/tests/Makefile ===
NAME=appio
include ../../Makefile_comp_tests

%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

TESTS = appio_list_events appio_values_by_code appio_values_by_name appio_test_read_write appio_test_pthreads appio_test_fread_fwrite appio_test_seek

ALL_TESTS = $(TESTS) appio_test_blocking appio_test_select appio_test_recv appio_test_socket

appio_tests: $(TESTS)

all: $(ALL_TESTS)

ARCH=$(shell uname -m)

ifeq (x86_64,$(ARCH))
        ARCH_SUFFIX="-AMD64"
endif


%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

appio_list_events: appio_list_events.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_list_events.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_values_by_code: appio_values_by_code.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_values_by_code.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_values_by_name: appio_values_by_name.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_values_by_name.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_test_read_write: appio_test_read_write.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_read_write.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_test_seek: appio_test_seek.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_seek.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_test_blocking: appio_test_blocking.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_blocking.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_test_socket: appio_test_socket.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_socket.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_test_recv: appio_test_recv.o $(UTILOBJS) ../../../libpapi.so
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_recv.o $(UTILOBJS) -Wl,-rpath ../../..  ../../../libpapi.so $(LDFLAGS)

appio_test_select: appio_test_select.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_select.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_test_fread_fwrite: appio_test_fread_fwrite.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_fread_fwrite.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS)

appio_test_pthreads: appio_test_pthreads.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ appio_test_pthreads.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) -lpthread

iozone/iozone_linux$(ARCH_SUFFIX).o iozone/libasync.o iozone/libbif.o: 
	cd iozone; $(MAKE) iozone_linux$(ARCH_SUFFIX).o libasync.o libbif.o

init_fini.o: init_fini.c
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ -c $^

# to test, try:
# ./appio_test_iozone -s 100m -r 64 -i 0 -i 1 -t 1
appio_test_iozone: iozone/iozone_linux$(ARCH_SUFFIX).o iozone/libasync.o iozone/libbif.o init_fini.o $(UTILOBJS) $(PAPILIB)
	$(CC) -g -O2 -o $@ $(LDFLAGS) $^ -lpthread -lrt

clean:
	rm -f $(ALL_TESTS) appio_test_iozone *.o

=== src/components/coretemp/tests/Makefile ===
NAME=coretemp
include ../../Makefile_comp_tests

%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

TESTS = coretemp_basic coretemp_pretty

coretemp_tests: $(TESTS)

coretemp_basic: coretemp_basic.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o coretemp_basic coretemp_basic.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

coretemp_pretty: coretemp_pretty.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o coretemp_pretty coretemp_pretty.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

clean:
	rm -f $(TESTS) *.o

=== src/components/cuda/tests/Makefile ===
NAME=cuda
include ../../Makefile_comp_tests
include ../Makefile.cuda

NVCC = $(CUDA_DIR)/bin/nvcc
NVCFLAGS = -arch=sm_13
CUDALIBS = -L$(CUDRV_DIR)/lib64 -L$(CUDA_DIR)/lib64 -L$(CUPTI_DIR)/lib64 -lcudart -lcupti -lcuda 

%.o:%.cu
	$(NVCC) $(INCLUDE) $(NVCFLAGS) -c -o $@ $<

TESTS = HelloWorld

cuda_tests: $(TESTS) 

HelloWorld: HelloWorld.o $(UTILOBJS)
	$(CC) $(INCLUDE) -o HelloWorld HelloWorld.o $(UTILOBJS) $(PAPILIB) $(CUDALIBS)

clean:
	rm -f $(TESTS) *.o

=== src/components/infiniband/tests/Makefile ===
NAME=infiniband
include ../../Makefile_comp_tests
include ../Makefile.infiniband

INFINIBANDLIBS = -L$(INFINIBAND_IBMAD_DIR)/lib64 -L$(INFINIBAND_IBUMAD_DIR)/lib64 -libumad -libmad

TESTS = infiniband_list_events infiniband_values_by_code 

infiniband_tests: $(TESTS)


%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

infiniband_list_events: infiniband_list_events.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ $^ $(LDFLAGS) $(INFINIBANDLIBS)

infiniband_values_by_code: infiniband_values_by_code.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ $^ $(LDFLAGS) $(INFINIBANDLIBS)

clean:
	rm -f $(TESTS) *.o

=== debian/changelog ===
papi (5.3.0-3) unstable; urgency=medium

  * Fix control file generation for binary-arch builds.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Feb 2014 15:26:52 +0100

papi (5.3.0-2) experimental; urgency=medium

  * Depend on the libpfm4 version used during compilation (or newer).
  * dh_autoreconf is sufficient, so stop using autotools-dev.
  * Clean up files missed by the upstream build system.
  * Add support for templated control files and substvars that allow changing
    the libpapi SOVERSION easily.
  * Fix up the SONAME link automatically using ldconfig.
  * Change SONAME to libpapi.so.5.3, that's what upstream considers binary
    compatible (PAPI_library_init(PAPI_VER_CURRENT) == PAPI_VER_CURRENT).
  * Rename package libpapi5 to libpapi5.3.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jan 2014 14:53:02 +0100

papi (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh fix-manpages.patch.
  * papi-examples:
    - Rework example installation.
    - for-debian-generalize-test-makefiles.patch: Remove.
    - for-debian-tests-set-more-flags.patch: Remove.
    - Adjust for-debian-link-examples-dynamically.patch to new upstream
      examples build system.
    - Recommends: build-essential, gfortran, mpi-default-dev.
  * Build against libpfm4 GIT snapshot.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2014 07:05:16 +0100

papi (5.2.0-2) unstable; urgency=medium

  * Mark some symbols as x86-specific.
  * Add symbols specific to powerpc(spe).  (Closes: #733308)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2014 00:48:42 +0100

papi (5.2.0-1) unstable; urgency=low

  * Initial release.  (Closes: #702243)
  * New upstream release.
  * Fix SONAME to include the major version only.
  * Refresh fix-manpages.patch.
  * Add new symbols from 5.2.0.
  * Use the canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Ignore all test failures for now, seems to be too hardware-dependent.
  * for-debian-do-not-embed-libpfm4.patch: New patch. Do not embed a copy of
    libpfm.a in libpapi.a.
  * papi-examples:
    - Do not ship prebuilt binaries. It's an Arch: all package.
    - Do not compress the example source code.
    - Ship everything needed to compile the examples.
    - Add strictly versioned Depends: libpapi-dev.
    - for-debian-link-examples-dynamically.patch: New patch. Link examples
      dynamically to support building them outside of the source tree.
    - for-debian-generalize-test-makefiles.patch: New patch. Make the 'all'
      target useful for building the examples outside of the source tree.
    - for-debian-tests-set-more-flags.patch: New patch. Set OMPCFLGS=-fopenmp,
      MPICC=mpicc, LDL=-ldl for building more examples from ctests/.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Dec 2013 17:29:07 +0100

papi (5.1.0.2-4) unofficial; urgency=low

  * Add missing B-D on gfortran (thanks Ana Guerrero)
  * add usr/share/papi/papi_events.csv into libpapi5

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Mar 2013 10:12:46 +0100

papi (5.1.0.2-3) unofficial; urgency=low

  * Fix soname to include the major version
  * Remove rpath in libs and various lintian fixes

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 05 Mar 2013 14:53:21 +0100

papi (5.1.0.2-2) unofficial; urgency=low

  * Build with an external libpfm

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 04 Mar 2013 01:51:56 +0100

papi (5.1.0.2-1) unofficial; urgency=low

  * Not uploaded as libpfm4 need to be packaged separately first.

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 20 Feb 2013 11:22:50 +0100

=== debian/control ===
Source: papi
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libpfm4-dev (>= 4.4.0+git),
 gfortran,
Standards-Version: 3.9.5
Section: devel
Homepage: http://icl.cs.utk.edu/papi/custom/index.html?lid=51&slid=69
Vcs-Git: git://anonscm.debian.org/collab-maint/papi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/papi.git;a=summary

Package: libpapi5.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libpfm4 (>= ${libpfm4:MinVersion}),
 ${shlibs:Depends}, ${misc:Depends}
Description: PAPI runtime (shared libraries)
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides the shared library.

Package: libpapi-dev
Section: libdevel
Architecture: any
Depends:
 libpapi${papi:SOVERSION} (= ${binary:Version}),
 ${misc:Depends}
Description: PAPI development files (headers and API documentation)
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides the development files of PAPI.

Package: papi-tools
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAPI utilities
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides utilities provided by the PAPI software.

Package: papi-examples
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: libpapi-dev (>= ${source:Version}), libpapi-dev (<< ${source:Upstream-Version}.~), ${shlibs:Depends}, ${misc:Depends}
Recommends:
 build-essential,
 gfortran,
 mpi-default-dev,
Description: PAPI example files and test programs
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides examples and tests of the PAPI software.

Package: papi-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libpapi${papi:SOVERSION} (= ${binary:Version}),
 papi-tools (= ${binary:Version}),
Description: PAPI debug symbols
 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.
 .
 This package provides debug symbols of PAPI libraries and programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

SOVERSION	 = 5.3

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

get_package_version	= $(shell dpkg-query -s $1 2>/dev/null | grep ^Version: | cut -d ' ' -f2)

# Upstream does not use CPPFLAGS
CFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) \
        $(shell dpkg-buildflags --get CFLAGS)
export CFLAGS

%:
	dh $@ --sourcedirectory=src --with autoreconf

.PHONY: override_dh_auto_configure
override_dh_auto_configure: build-generated
	dh_auto_configure --sourcedirectory=src -- \
		--with-static-lib=yes \
		--with-shared-lib=yes \
		--with-shlib \
		--with-perf-events \
		--with-pfm-incdir=/usr/include \
		--with-pfm-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

.PHONY: override_dh_auto_test
override_dh_auto_test:
	-dh_auto_test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install --sourcedirectory=src -- install-all

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	find debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH) -type l -name 'libpapi.so.*' | xargs -r rm -v
	ldconfig -n -v debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES.txt

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=papi-dbg

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.c -X.h -X.F -XMakefile

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- \
		-V'papi:SOVERSION=$(SOVERSION)' \
		-V'libpfm4:MinVersion=$(call get_package_version,libpfm4-dev)'


TEMPLATES	:= $(wildcard debian/libpapiSOVERSION.*)
GENERATED	 = $(subst SOVERSION,$(SOVERSION),$(TEMPLATES))

libpapi$(SOVERSION).%: libpapiSOVERSION.%
	sed 's/@SOVERSION@/$(SOVERSION)/g' $< > $@

build-generated: $(GENERATED) ;
clean-generated:
	$(RM) $(GENERATED)

clean: clean-generated

=== debian/watch ===
version=3

http://icl.cs.utk.edu/papi/software/index.html .*/papi-(.*)\.tar\.gz

## papi 5.3.2

=== src/libpfm4/docs/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

.PHONY: all clean distclean depend

ARCH_MAN=
SYS_MAN=

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)
ARCH_MAN=libpfm_intel_core.3	\
	 libpfm_intel_x86_arch.3\
	 libpfm_amd64.3		\
	 libpfm_amd64_k7.3	\
	 libpfm_amd64_k8.3	\
	 libpfm_amd64_fam10h.3	\
	 libpfm_amd64_fam15h.3	\
	 libpfm_intel_atom.3	\
	 libpfm_intel_nhm.3	\
	 libpfm_intel_nhm_unc.3 \
	 libpfm_intel_wsm.3	\
	 libpfm_intel_wsm_unc.3 \
	 libpfm_intel_snb.3	\
	 libpfm_intel_snb_unc.3 \
	 libpfm_intel_ivb.3	\
	 libpfm_intel_ivb_unc.3 \
	 libpfm_intel_hsw.3	\
	 libpfm_intel_rapl.3	\
	 libpfm_intel_slm.3	\
	 libpfm_intel_snbep_unc_cbo.3 \
	 libpfm_intel_snbep_unc_ha.3 \
	 libpfm_intel_snbep_unc_imc.3 \
	 libpfm_intel_snbep_unc_pcu.3 \
	 libpfm_intel_snbep_unc_qpi.3 \
	 libpfm_intel_snbep_unc_ubo.3 \
	 libpfm_intel_snbep_unc_r2pcie.3 \
	 libpfm_intel_snbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_cbo.3 \
	 libpfm_intel_ivbep_unc_ha.3 \
	 libpfm_intel_ivbep_unc_imc.3 \
	 libpfm_intel_ivbep_unc_pcu.3 \
	 libpfm_intel_ivbep_unc_qpi.3 \
	 libpfm_intel_ivbep_unc_ubo.3 \
	 libpfm_intel_ivbep_unc_r2pcie.3 \
	 libpfm_intel_ivbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_irp.3 \
	 libpfm_intel_knc.3

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
ARCH_MAN += libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3 \
	    libpfm_arm_ac15.3 \
	    libpfm_arm_ac8.3 \
	    libpfm_arm_ac9.3 \
	    libpfm_arm_qcom_krait.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
ARCH_MAN += libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)
ARCH_MAN += libpfm_mips_74k.3
endif

GEN_MAN= libpfm.3 \
	pfm_find_event.3 \
	pfm_get_event_attr_info.3 \
	pfm_get_event_info.3 \
	pfm_get_event_encoding.3 \
	pfm_get_event_next.3 \
	pfm_get_pmu_info.3 \
	pfm_get_os_event_encoding.3 \
	pfm_get_version.3 \
	pfm_initialize.3 \
	pfm_terminate.3 \
	pfm_strerror.3

ifeq ($(SYS),Linux)
SYS_MAN=pfm_get_perf_event_encoding.3 libpfm_perf_event_raw.3
endif

MAN=$(GEN_MAN) $(ARCH_MAN) $(SYS_MAN)

install:

	-mkdir -p $(DESTDIR)$(MANDIR)/man3
	( cd man3; $(INSTALL) -m 644 $(MAN) $(DESTDIR)$(MANDIR)/man3 )

=== src/libpfm4/lib/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

#
# Common files
#
SRCS=pfmlib_common.c

ifeq ($(SYS),Linux)
SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
endif

CFLAGS+=-D_REENTRANT -I.

#
# list all library support modules
#
ifeq ($(CONFIG_PFMLIB_ARCH_IA64),y)
INCARCH = $(INC_IA64)
#SRCS   += pfmlib_gen_ia64.c pfmlib_itanium.c pfmlib_itanium2.c pfmlib_montecito.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_IA64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_intel_x86_perf_event.c pfmlib_amd64_perf_event.c \
	pfmlib_intel_netburst_perf_event.c \
	pfmlib_intel_snbep_unc_perf_event.c
endif

INCARCH = $(INC_X86)
SRCS   += pfmlib_amd64.c pfmlib_intel_core.c pfmlib_intel_x86.c \
	  pfmlib_intel_x86_arch.c pfmlib_intel_atom.c \
	  pfmlib_intel_nhm_unc.c pfmlib_intel_nhm.c \
	  pfmlib_intel_wsm.c  \
	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
	  pfmlib_intel_hsw.c \
	  pfmlib_intel_rapl.c \
	  pfmlib_intel_snbep_unc.c \
	  pfmlib_intel_snbep_unc_cbo.c \
	  pfmlib_intel_snbep_unc_ha.c \
	  pfmlib_intel_snbep_unc_imc.c \
	  pfmlib_intel_snbep_unc_pcu.c \
	  pfmlib_intel_snbep_unc_qpi.c \
	  pfmlib_intel_snbep_unc_ubo.c \
	  pfmlib_intel_snbep_unc_r2pcie.c \
	  pfmlib_intel_snbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_cbo.c \
	  pfmlib_intel_ivbep_unc_ha.c \
	  pfmlib_intel_ivbep_unc_imc.c \
	  pfmlib_intel_ivbep_unc_pcu.c \
	  pfmlib_intel_ivbep_unc_qpi.c \
	  pfmlib_intel_ivbep_unc_ubo.c \
	  pfmlib_intel_ivbep_unc_r2pcie.c \
	  pfmlib_intel_ivbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_irp.c \
	  pfmlib_intel_knc.c \
	  pfmlib_intel_slm.c \
	  pfmlib_intel_netburst.c \
	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
	  pfmlib_amd64_fam14h.c pfmlib_amd64_fam15h.c

CFLAGS += -DCONFIG_PFMLIB_ARCH_X86

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
SRCS += pfmlib_intel_coreduo.c pfmlib_intel_p6.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_I386
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86_64),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_X86_64
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_POWERPC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_powerpc_perf_event.c
endif

INCARCH = $(INC_POWERPC)
SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_S390X),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_s390x_perf_event.c
endif

INCARCH = $(INC_S390X)
SRCS   += pfmlib_s390x_cpumf.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_S390X
endif

ifeq ($(CONFIG_PFMLIB_ARCH_SPARC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_sparc_perf_event.c
endif

INCARCH = $(INC_SPARC)
SRCS   += pfmlib_sparc.c pfmlib_sparc_ultra12.c pfmlib_sparc_ultra3.c pfmlib_sparc_ultra4.c pfmlib_sparc_niagara.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_SPARC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM)
SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM64)
SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_mips_perf_event.c
endif

INCARCH = $(INC_MIPS)
SRCS   += pfmlib_mips.c pfmlib_mips_74k.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_MIPS
endif

ifeq ($(CONFIG_PFMLIB_ARCH_CRAYXT),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_CRAYXT
endif

ifeq ($(CONFIG_PFMLIB_CELL),y)
INCARCH = $(INC_CELL)
#SRCS   += pfmlib_cell.c
CFLAGS += -DCONFIG_PFMLIB_CELL
endif

ifeq ($(SYS),Linux)
SLDFLAGS=-shared -Wl,-soname -Wl,$(VLIBPFM)
SLIBPFM=libpfm.so.$(VERSION).$(REVISION).$(AGE)
VLIBPFM=libpfm.so.$(VERSION)
SOLIBEXT=so
endif

CFLAGS+=-I.
ALIBPFM=libpfm.a

TARGETS=$(ALIBPFM)

ifeq ($(CONFIG_PFMLIB_SHARED),y)
TARGETS += $(SLIBPFM)
endif

OBJS=$(SRCS:.c=.o)
SOBJS=$(OBJS:.o=.lo)

INC_COMMON= $(PFMINCDIR)/perfmon/pfmlib.h pfmlib_priv.h

ifeq ($(SYS),Linux)
INC_COMMON += $(PFMINCDIR)/perfmon/perf_event.h events/perf_events.h
endif

INC_IA64=pfmlib_ia64_priv.h	 \
	events/itanium_events.h	 \
	events/itanium2_events.h \
	events/montecito_events.h

INC_X86= pfmlib_intel_x86_priv.h	\
	pfmlib_amd64_priv.h		\
	events/amd64_events_k7.h    	\
	events/amd64_events_k8.h    	\
	events/amd64_events_fam10h.h	\
	events/amd64_events_fam11h.h	\
	events/amd64_events_fam12h.h	\
	events/amd64_events_fam14h.h	\
	events/amd64_events_fam15h.h	\
	events/intel_p6_events.h	\
	events/intel_netburst_events.h	\
	events//intel_x86_arch_events.h \
	events/intel_coreduo_events.h	\
	events/intel_core_events.h	\
	events/intel_atom_events.h	\
	events/intel_nhm_events.h	\
	events/intel_nhm_unc_events.h	\
	events/intel_wsm_events.h	\
	events/intel_wsm_unc_events.h	\
	events/intel_snb_events.h	\
	events/intel_snbep_events.h	\
	events/intel_snb_unc_events.h	\
	events/intel_ivb_events.h	\
	events/intel_hsw_events.h	\
	pfmlib_intel_snbep_unc_priv.h	\
	events/intel_snbep_unc_cbo_events.h \
	events/intel_snbep_unc_ha_events.h \
	events/intel_snbep_unc_imc_events.h \
	events/intel_snbep_unc_pcu_events.h \
	events/intel_snbep_unc_qpi_events.h \
	events/intel_snbep_unc_ubo_events.h \
	events/intel_snbep_unc_r2pcie_events.h \
	events/intel_snbep_unc_r3qpi_events.h \
	events/intel_knc_events.h \
	events/intel_ivbep_unc_cbo_events.h \
	events/intel_ivbep_unc_ha_events.h \
	events/intel_ivbep_unc_imc_events.h \
	events/intel_ivbep_unc_pcu_events.h \
	events/intel_ivbep_unc_qpi_events.h \
	events/intel_ivbep_unc_ubo_events.h \
	events/intel_ivbep_unc_r2pcie_events.h \
	events/intel_ivbep_unc_r3qpi_events.h \
	events/intel_ivbep_unc_irp_events.h \
	events/intel_slm_events.h

INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h

INC_POWERPC=events/ppc970_events.h	\
	events/ppc970mp_events.h	\
	events/power4_events.h		\
	events/power5_events.h		\
	events/power5+_events.h		\
	events/power6_events.h		\
	events/power7_events.h		\
	events/power8_events.h		\
	events/torrent_events.h

INC_S390X=pfmlib_s390x_priv.h \
	events/s390x_cpumf_events.h

INC_SPARC=events/sparc_ultra12_events.h		\
	events/sparc_ultra3_events.h		\
	events/sparc_ultra3plus_events.h	\
	events/sparc_ultra3i_events.h		\
	events/sparc_ultra4plus_events.h	\
	events/sparc_niagara1_events.h		\
	events/sparc_niagara2_events.h

INC_CELL=events/cell_events.h

INC_ARM=events/arm_cortex_a8_events.h		\
        events/arm_cortex_a9_events.h

INC_ARM=pfmlib_arm_priv.h			\
	events/arm_cortex_a7_events.h		\
	events/arm_cortex_a8_events.h		\
	events/arm_cortex_a9_events.h		\
	events/arm_cortex_a15_events.h		\
	events/arm_cortex_a57_events.h		\
	events/arm_cortex_a53_events.h

INC_ARM64=events/arm_cortex_a57_events.h	\
	  events/arm_cortex_a53_events.h

INCDEP=$(INC_COMMON) $(INCARCH)

all: $(TARGETS)

$(OBJS) $(SOBJS): $(TOPDIR)/config.mk $(TOPDIR)/rules.mk Makefile $(INCDEP)

libpfm.a:  $(OBJS)
	$(RM) $@
	$(AR) cq $@ $(OBJS)

$(SLIBPFM):  $(SOBJS)
	$(CC) $(CFLAGS) $(SLDFLAGS)  -o $@ $(SOBJS)
	$(LN) $@ $(VLIBPFM)
	$(LN) $@ libpfm.$(SOLIBEXT)

clean:
	$(RM) -f *.o *.lo *.a *.so* *~ *.$(SOLIBEXT)

distclean: clean

depend:
	$(MKDEP) $(CFLAGS) $(SRCS)

install: $(TARGETS)

install:
	@echo building: $(TARGETS)
	-mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 644 $(ALIBPFM) $(DESTDIR)$(LIBDIR)
ifeq ($(CONFIG_PFMLIB_SHARED),y)
	$(INSTALL) $(SLIBPFM) $(DESTDIR)$(LIBDIR)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) $(VLIBPFM)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) libpfm.$(SOLIBEXT)
	$(LDCONFIG)
endif

tags:
	$(CTAGS) -o $(TOPDIR)/tags --tag-relative=yes $(SRCS) $(INCDEP)

=== debian/changelog ===
papi (5.3.2-2) unstable; urgency=medium

  * Bump libpfm4-dev B-D to >= 4.5.0+git38.
  * Bump Standards-Version to 3.9.6. No changes needed.
  * dpkg-gensymbols: Raise check level to 4 - fail on any symbol change.
  * Add symbols specific to ppc64/ppc64el.
  * Cherry-pick from upstream master: bug fixes and features, presets for
    newer hardware but avoiding API/ABI changing patches.
    - 0004-native_avail-Add-a-validate-flag.patch
    - 0006-Add-aarch64-Cortex-A57-presets.patch
    - 0010-native_avail.c-Bug-fixes-and-updates.patch
    - 0011-papi_internal.c-change-SUBDBG-to-INTDBG.patch
    - 0012-run_tests.sh-more-exclude-cleanups.patch
    - 0013-papi.c-Add-information-to-API-entry-debuging.patch
    - 0014-Update-HSW-presets.patch
    - 0015-perf_event.c-cleanup-error-messages.patch
    - 0016-Libpfm4-update-catch-the-cpu-modifier-update.patch
    - 0017-Update-nvml-README.patch
    - 0018-error_codes-utility-remove-internal-bits.patch
    - 0022-Extend-papi_native_event-validate-to-check-for-umask.patch
    - 0023-event_info-utility-address-coverity-defect.patch
    - 0024-testlib-test_util.c-Check-enum-return-value.patch
    - 0025-ctests-Address-coverity-reported-defects.patch
    - 0026-Bump-NUM_MPX_COUNTERS-for-linux-perf.patch
    - 0035-Adding-the-NativeAvailValidate-patch-provided-by-Gar.patch
    - 0040-Support-for-the-ARM-X-Gene-processor.patch
    - 0041-Update-papi_events.csv-to-match-libpfm-support-for-I.patch
    - 0042-Remove-stray-Intel-Haswell-events-from-Intel-Ivy-Bri.patch
    - 0043-PPC64-sys_mem_info-array-size-is-wrong.patch
    - 0044-PPC64-add-support-for-PPC64-Little-Endian-to-sprofil.patch
    - 0045-byte_profile.c-PPC64-add-support-for-PPC64-Little-En.patch
    - 0046-PPC64-add-support-for-the-Power-non-virtualized-plat.patch

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 14:37:28 +0200

papi (5.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump libpfm4-dev B-D to >= 4.5.0+git23.
  * Fix build on hppa, thanks to Helge Deller.  (Closes: #751411)
  * Call ldconfig with full path during build.  (Closes: #749797)
  * papi-examples: Ship components examples/tests.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Aug 2014 14:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.4.0+git),
+ libpfm4-dev (>= 4.5.0+git38),
  gfortran,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: devel
-Homepage: http://icl.cs.utk.edu/papi/custom/index.html?lid=51&slid=69
+Homepage: http://icl.cs.utk.edu/papi/software/index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/papi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/papi.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,14 @@
 override_dh_auto_install:
 	dh_auto_install --sourcedirectory=src -- install-all
 
+.PHONY: override_dh_makeshlibs
+override_dh_makeshlibs:
+	dh_makeshlibs -a -- -c4
+
 .PHONY: override_dh_shlibdeps
 override_dh_shlibdeps:
 	find debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH) -type l -name 'libpapi.so.*' | xargs -r rm -v
-	ldconfig -n -v debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH)
+	/sbin/ldconfig -n -v debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_shlibdeps -a -- --warnings=7
 
 .PHONY: override_dh_install

## papi 5.4.0

=== src/ftests/Makefile ===
--- 
+++ 
@@ -4,12 +4,12 @@
 LIBRARY = -lpapi
 PAPILIB = $(LIBRARY)
 CC	= gcc
-F77	= gfortran
 CFLAGS	= -g -O 
 FFLAGS	= -g -O -ffixed-line-length-132
 
 TESTLIB = ../testlib/libtestlib.a
 
+ifneq ($(F77),)
 include Makefile.recipies
 
 install: default
@@ -22,3 +22,11 @@
 	-find . -name "*.[Ffh]" -type f -exec cp {} $(DATADIR)/ftests \;
 	-cp Makefile.target $(DATADIR)/ftests/Makefile
 	-cat Makefile.recipies >> $(DATADIR)/ftests/Makefile
+
+else
+all:
+       @echo "Install Fortran compiler to build and run Fortran tests"
+
+install:
+       @echo "No Fortran tests to install."
+endif

=== debian/changelog ===
papi (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Soversion change: 5.3 -> 5.4. Rename package libpapi5.3 to libpapi5.4.
  * Add new symbols from 5.4.0.
  * Cherry-pick from upstream master: bug fixes and preset updates.
    - 0003-Uncore-component-fix-Cont.patch
    - 0005-Update-presets-for-Intel-Haswell-and-Haswell-EP.patch
    - 0006-perf_event-tests-add-sample-haswell-offcore-event.patch
    - 0008-fix-segfaults-in-the-lustre-component.patch
    - 0010-fix-whitespace-errors-in-Makefile.patch
    - 0012-Test-case-for-attaching-an-eventset-to-a-single-CPU-.patch
    - 0013-Change-papi_native_avail-to-refer-to-event-qualifier.patch
  * hppa.patch: Refresh.
  * hardening.patch: New. Use hardening flags for building the tests, too.
  * Move papi_events.csv to /usr/share/papi/SOVERSION/.
  * Bump libpfm4-dev B-D to >= 4.6.0
  * d/copyright: Add licensing information for the convenience copies shipped
    by upstream, these are not used to build the Debian packages.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Feb 2015 10:59:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.5.0+git38),
+ libpfm4-dev (>= 4.6.0),
  gfortran,
 Standards-Version: 3.9.6
 Section: devel
@@ -14,7 +14,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/papi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/papi.git;a=summary
 
-Package: libpapi5.3
+Package: libpapi5.4
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-SOVERSION	 = 5.3
+SOVERSION	 = 5.4
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

## papi 5.4.1

=== src/libpfm4/docs/Makefile ===
--- 
+++ 
@@ -48,6 +48,7 @@
 	 libpfm_intel_ivb.3	\
 	 libpfm_intel_ivb_unc.3 \
 	 libpfm_intel_hsw.3	\
+	 libpfm_intel_bdw.3	\
 	 libpfm_intel_rapl.3	\
 	 libpfm_intel_slm.3	\
 	 libpfm_intel_snbep_unc_cbo.3 \
@@ -76,7 +77,8 @@
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
-ARCH_MAN += libpfm_arm_ac57.3 \
+ARCH_MAN += libpfm_arm_xgene.3 \
+	    libpfm_arm_ac57.3 \
 	    libpfm_arm_ac53.3 \
 	    libpfm_arm_ac15.3 \
 	    libpfm_arm_ac8.3 \
@@ -85,7 +87,8 @@
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
-ARCH_MAN += libpfm_arm_ac57.3 \
+ARCH_MAN += libpfm_arm_xgene.3 \
+	    libpfm_arm_ac57.3 \
 	    libpfm_arm_ac53.3
 endif

=== src/libpfm4/lib/Makefile ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
 	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
 	  pfmlib_intel_hsw.c \
+	  pfmlib_intel_bdw.c \
 	  pfmlib_intel_rapl.c \
 	  pfmlib_intel_snbep_unc.c \
 	  pfmlib_intel_snbep_unc_cbo.c \
@@ -229,6 +230,7 @@
 	events/intel_snb_unc_events.h	\
 	events/intel_ivb_events.h	\
 	events/intel_hsw_events.h	\
+	events/intel_bdw_events.h	\
 	pfmlib_intel_snbep_unc_priv.h	\
 	events/intel_snbep_unc_cbo_events.h \
 	events/intel_snbep_unc_ha_events.h \
@@ -276,7 +278,8 @@
 INC_CELL=events/cell_events.h
 
 INC_ARM=events/arm_cortex_a8_events.h		\
-        events/arm_cortex_a9_events.h
+        events/arm_cortex_a9_events.h		\
+        events/arm_arm_xgene_events.h
 
 INC_ARM=pfmlib_arm_priv.h			\
 	events/arm_cortex_a7_events.h		\

=== src/components/cuda/tests/Makefile ===
NAME=cuda
include ../../Makefile_comp_tests
include ../Makefile.cuda

TESTS = HelloWorld simpleMultiGPU simpleMultiGPU_no_counters simpleMultiGPU_cupti_only
cuda_tests: $(TESTS) 

CUDA_DIR ?= $(CUDA_PATH)
NVCC = $(CUDA_DIR)/bin/nvcc
NVCFLAGS = -g 
INCLUDE += -I$(CUDA_DIR)/include -I$(CUPTI_DIR)/include 
CUDALIBS = -L$(CUDRV_DIR)/lib64 -L$(CUDA_DIR)/lib64 -L$(CUPTI_DIR)/lib64 -lcudart -lcupti -lcuda 

default: HelloWorld simpleMultiGPU_papi simpleMultiGPU_no_counters simpleMultiGPU_cupti_only

%.o:%.cu
	$(NVCC) $(INCLUDE) $(NVCFLAGS) -c -o $@ $<

HelloWorld: HelloWorld.o $(UTILOBJS)
	$(CC) -Wl,-rpath,../../../libpfm4/lib $(INCLUDE) -o HelloWorld HelloWorld.o $(UTILOBJS) $(PAPILIB) $(CUDALIBS)

simpleMultiGPU: simpleMultiGPU.cu $(UTILOBJS)
	$(NVCC) $(INCLUDE) -DPAPI -g -o $@ $+ $(UTILOBJS) $(PAPILIB) $(CUDALIBS)

simpleMultiGPU_no_counters: simpleMultiGPU.cu $(UTILOBJS)
	$(NVCC) $(INCLUDE) -DNO_COUNTERS -g -o $@ $+ $(UTILOBJS) $(PAPILIB) $(CUDALIBS)

simpleMultiGPU_cupti_only: simpleMultiGPU.cu $(UTILOBJS)
	$(NVCC) $(INCLUDE) -DCUPTI_ONLY -g -o $@ $+ $(UTILOBJS) $(PAPILIB) $(CUDALIBS)

clean:
	rm -f $(TESTS) *.o


run: 
	( cd ~/icl/papi/papi/src/ && make )
	( make HelloWorld )
	./HelloWorld
	( cd ~/icl/papi/papi/src/ && make )
	( make simpleMultiGPU )
	./simpleMultiGPU

=== debian/changelog ===
papi (5.4.1-2) unstable; urgency=medium

  * Cherry-pick from upstream master: preset updates.
    - 0015-Bug-reported-by-William-Cohen-in-papi_events.csv-for.patch
    - 0019-papi_events.csv-add-preset-events-for-ARM-Cortex-A53.patch
    - 0020-papi_events.csv-typo-in-the-ARM-Cortex-A53-definitio.patch
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Jun 2015 21:01:30 +0200

papi (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * fix-manpages.patch: Refresh.
  * Soversion change: 5.4 -> 5.4.1. Rename package libpapi5.4 to libpapi5.4.1.
  * Update symbols for 5.4.1.
  * Cherry-pick from upstream master:
    - 0006-Clean-output-from-papi_avail-tools-when-there-are-no.patch
  * libpapi-dev: Ship the new papi.pc pkgconfig file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Mar 2015 02:31:37 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/papi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/papi.git;a=summary
 
-Package: libpapi5.4
+Package: libpapi5.4.1
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-SOVERSION	 = 5.4
+SOVERSION	 = 5.4.1
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
